## visad.data
Class Form

    java.lang.Object
      visad.data.FormNode
          visad.data.Form

Direct Known Subclasses:
  ArcAsciiGridForm, AreaForm, DODSForm, F2000Form, FitsForm, GIFForm, HDF5Form, Hdfeos, JAIForm, LegacyTiffForm, LociForm, MapForm, NetCDF, PointForm, TextForm, UsgsDemForm, Vis5DForm, Vis5DTopoForm, VisADForm

public abstract class Form
extends FormNode

A leaf-node in the data form hierarchy for the storage of persistent data objects.

Field Summary
`protected MathType` `mathType` The MathType of an existing data object.

Constructor Summary
`Form(String name)` Construct a data form of the given name.

Method Summary
`MathType` `getMathType()` Get the MathType.

Methods inherited from class visad.data.FormNode
`add, getForms, getName, open, open, save`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### mathType

    protected MathType mathType

  The MathType of an existing data object. Set by the getForms(Data data) method.

Constructor Detail

### Form

    public Form(String name)

  Construct a data form of the given name.

Method Detail

### getMathType

    public MathType getMathType()

  Get the MathType.